Subject: bug#454: devuan-installer: beowulf beta netinstall ISO image does not configure locale or timezone

From: Matthew T Hoare <[email-masked]>
Date: Thu, 02 Apr 2020 14:05:26 +0000

Package: devuan-installer
Severity: normal
Tags: l10n

Dear Maintainer,

   * What led up to the situation?
I downloaded the Devuan beowulf beta netinstall ISO image and attempted to install a system under QEMU/KVM (Debian buster host).

   * What exactly did you do (or not do) that was effective (or
     ineffective)?
I selected the English language, UK location and the Europe/London timezone during the installation process.

   * What was the outcome of this action?
When I booted into the new system the locale & timezone were not set: /etc/locale.gen had no un-commented lines and the timezone was set to 'Etc/UTC'.

   * What outcome did you expect instead?
I would expect that the locale would be set to the UK and the timezone would be set to Europe/London. The errors resulting from an unset locale can be seen below.

-- System Information:
Distributor ID:	Debian
Description:	Devuan GNU/Linux 3 (beowulf)
Release:	3
Codename:	beowulf
Architecture: x86_64

Kernel: Linux 4.19.0-8-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=C.UTF-8 (charmap=locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
UTF-8), LANGUAGE=en_GB:en (charmap=locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled